#pragma once

#include <stdint.h>


namespace Voltmeter
{
    enum class Range
    {
        _400mV = 0,
        _4V = 1,
        _40V = 2,
        _400V = 3,
        Max = _400V,
        Min = _400mV
    };


    Range operator+(Range const range, int i);
    Range operator-(Range const range, int i);
    Range operator++(Range & range);
    Range operator--(Range & range);
}